Index: uspace/app/nav/test/panel.c
===================================================================
--- uspace/app/nav/test/panel.c	(revision 54ddb59be14baa078affd298a0ddbf53724d7b29)
+++ uspace/app/nav/test/panel.c	(revision 3dd99ddef89b59736cd0c94577ddd2de048ac2fe)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2022 Jiri Svoboda
+ * Copyright (c) 2024 Jiri Svoboda
  * All rights reserved.
  *
@@ -55,11 +55,25 @@
 PCUT_TEST(create_destroy)
 {
-	panel_t *panel;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	panel_destroy(panel);
+	ui_t *ui;
+	ui_window_t *window;
+	ui_wnd_params_t params;
+	panel_t *panel;
+	errno_t rc;
+
+	rc = ui_create_disp(NULL, &ui);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	ui_wnd_params_init(&params);
+	params.caption = "Test";
+
+	rc = ui_window_create(ui, &params, &window);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_create(window, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	panel_destroy(panel);
+	ui_window_destroy(window);
+	ui_destroy(ui);
 }
 
@@ -67,9 +81,21 @@
 PCUT_TEST(set_cb)
 {
+	ui_t *ui;
+	ui_window_t *window;
+	ui_wnd_params_t params;
 	panel_t *panel;
 	errno_t rc;
 	test_resp_t resp;
 
-	rc = panel_create(NULL, true, &panel);
+	rc = ui_create_disp(NULL, &ui);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	ui_wnd_params_init(&params);
+	params.caption = "Test";
+
+	rc = ui_window_create(ui, &params, &window);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_create(window, true, &panel);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -79,4 +105,6 @@
 
 	panel_destroy(panel);
+	ui_window_destroy(window);
+	ui_destroy(ui);
 }
 
@@ -113,9 +141,21 @@
 PCUT_TEST(ctl)
 {
+	ui_t *ui;
+	ui_window_t *window;
+	ui_wnd_params_t params;
 	panel_t *panel;
 	ui_control_t *control;
 	errno_t rc;
 
-	rc = panel_create(NULL, true, &panel);
+	rc = ui_create_disp(NULL, &ui);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	ui_wnd_params_init(&params);
+	params.caption = "Test";
+
+	rc = ui_window_create(ui, &params, &window);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_create(window, true, &panel);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -124,4 +164,6 @@
 
 	panel_destroy(panel);
+	ui_window_destroy(window);
+	ui_destroy(ui);
 }
 
@@ -129,4 +171,7 @@
 PCUT_TEST(kbd_event)
 {
+	ui_t *ui;
+	ui_window_t *window;
+	ui_wnd_params_t params;
 	panel_t *panel;
 	ui_evclaim_t claimed;
@@ -136,5 +181,14 @@
 	/* Active panel should claim events */
 
-	rc = panel_create(NULL, true, &panel);
+	rc = ui_create_disp(NULL, &ui);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	ui_wnd_params_init(&params);
+	params.caption = "Test";
+
+	rc = ui_window_create(ui, &params, &window);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_create(window, true, &panel);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -151,5 +205,5 @@
 	/* Inactive panel should not claim events */
 
-	rc = panel_create(NULL, false, &panel);
+	rc = panel_create(window, false, &panel);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -163,4 +217,6 @@
 
 	panel_destroy(panel);
+	ui_window_destroy(window);
+	ui_destroy(ui);
 }
 
@@ -173,9 +229,21 @@
 PCUT_TEST(set_rect)
 {
+	ui_t *ui;
+	ui_window_t *window;
+	ui_wnd_params_t params;
 	panel_t *panel;
 	gfx_rect_t rect;
 	errno_t rc;
 
-	rc = panel_create(NULL, true, &panel);
+	rc = ui_create_disp(NULL, &ui);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	ui_wnd_params_init(&params);
+	params.caption = "Test";
+
+	rc = ui_window_create(ui, &params, &window);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_create(window, true, &panel);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -192,4 +260,6 @@
 
 	panel_destroy(panel);
+	ui_window_destroy(window);
+	ui_destroy(ui);
 }
 
@@ -197,16 +267,30 @@
 PCUT_TEST(is_active)
 {
-	panel_t *panel;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
+	ui_t *ui;
+	ui_window_t *window;
+	ui_wnd_params_t params;
+	panel_t *panel;
+	errno_t rc;
+
+	rc = ui_create_disp(NULL, &ui);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	ui_wnd_params_init(&params);
+	params.caption = "Test";
+
+	rc = ui_window_create(ui, &params, &window);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_create(window, true, &panel);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_TRUE(panel_is_active(panel));
 	panel_destroy(panel);
 
-	rc = panel_create(NULL, false, &panel);
+	rc = panel_create(window, false, &panel);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 	PCUT_ASSERT_FALSE(panel_is_active(panel));
 	panel_destroy(panel);
+	ui_window_destroy(window);
+	ui_destroy(ui);
 }
 
@@ -275,9 +359,21 @@
 PCUT_TEST(activate_req)
 {
+	ui_t *ui;
+	ui_window_t *window;
+	ui_wnd_params_t params;
 	panel_t *panel;
 	errno_t rc;
 	test_resp_t resp;
 
-	rc = panel_create(NULL, true, &panel);
+	rc = ui_create_disp(NULL, &ui);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	ui_wnd_params_init(&params);
+	params.caption = "Test";
+
+	rc = ui_window_create(ui, &params, &window);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_create(window, true, &panel);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -292,4 +388,6 @@
 
 	panel_destroy(panel);
+	ui_window_destroy(window);
+	ui_destroy(ui);
 }
 
